ListChatMessages
GET
/support/v1/chat/messagesQuery Parameters
after?string
A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (Z); input may use an offset from UTC.
Format
date-timelimit?limit
The limit query parameter.
Format
int32Range
0 <= value <= 200Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/support.v1.ListChatMessagesResponse",
"$ref-value": {
"type": "object",
"properties": {
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/support.v1.ChatMessage",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Cm4Nw8Tq1X"
],
"title": "id"
},
"thread_id": {
"type": "string",
"examples": [
"Th7Yb2Ke9P"
],
"title": "thread_id"
},
"author_id": {
"type": "string",
"examples": [
"Us1234abcd"
],
"title": "author_id"
},
"author_type": {
"allOf": [
{
"$ref": "#/components/schemas/support.v1.MessageAuthor",
"$ref-value": {
"type": "string",
"title": "MessageAuthor",
"enum": [
"MESSAGE_AUTHOR_UNSPECIFIED",
"MESSAGE_AUTHOR_CUSTOMER",
"MESSAGE_AUTHOR_AGENT",
"MESSAGE_AUTHOR_SYSTEM"
]
}
}
],
"examples": [
"MESSAGE_AUTHOR_CUSTOMER"
],
"title": "author_type"
},
"body": {
"type": "string",
"examples": [
"Our uploads are failing in eu-west."
],
"title": "body"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "ChatMessage",
"additionalProperties": false
}
},
"title": "messages"
}
},
"title": "ListChatMessagesResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/support/v1/chat/messages"Success
application/json
{
"$ref": "#/components/schemas/support.v1.ListChatMessagesResponse",
"$ref-value": {
"type": "object",
"properties": {
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/support.v1.ChatMessage",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Cm4Nw8Tq1X"
],
"title": "id"
},
"thread_id": {
"type": "string",
"examples": [
"Th7Yb2Ke9P"
],
"title": "thread_id"
},
"author_id": {
"type": "string",
"examples": [
"Us1234abcd"
],
"title": "author_id"
},
"author_type": {
"allOf": [
{
"$ref": "#/components/schemas/support.v1.MessageAuthor",
"$ref-value": {
"type": "string",
"title": "MessageAuthor",
"enum": [
"MESSAGE_AUTHOR_UNSPECIFIED",
"MESSAGE_AUTHOR_CUSTOMER",
"MESSAGE_AUTHOR_AGENT",
"MESSAGE_AUTHOR_SYSTEM"
]
}
}
],
"examples": [
"MESSAGE_AUTHOR_CUSTOMER"
],
"title": "author_type"
},
"body": {
"type": "string",
"examples": [
"Our uploads are failing in eu-west."
],
"title": "body"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "ChatMessage",
"additionalProperties": false
}
},
"title": "messages"
}
},
"title": "ListChatMessagesResponse",
"additionalProperties": false
}
}